Page MenuHome

Missing updates after geometry nodes drag and drop
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: GeForce MX130/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 461.92

Blender Version
Broken: version: 2.93.0 Alpha, branch: master, commit date: 2021-03-18 21:29, hash: rB36deb8a48ef2
Worked: Never

Short description of error
The data in object info (e.g. Location) created by drag and drop does not update when moving the object in viewport, it is fixed after manually picking the object again. Here is video:

Exact steps for others to reproduce the error
Based on the default startup

  1. Add Geometry Nodes to the cube, add a transform node
  2. Drag and drop the default light object in
  3. connect the location of Object Info node to the transform node's Translation socket
  4. Move the default light in viewport, the cube is not following

Event Timeline

Zijun Zhou (Eary) updated the task description. (Show Details)
Zijun Zhou (Eary) renamed this task from Two Bugs of Geometry Nodes' Drag and Drop Object Collection to Two Bugs of Geometry Nodes' Drag and Drop Object into Object Info.Mar 19 2021, 2:40 AM
Zijun Zhou (Eary) updated the task description. (Show Details)
Zijun Zhou (Eary) updated the task description. (Show Details)

First bug looks like a dependency issue. Possibly the drag node operator is missing a dependency tag update.

Second bug is not implemented, thanks for pointing this out.

Charlie Jolly (charlie) changed the task status from Needs Triage to Confirmed.Mar 19 2021, 1:02 PM

Thanks for the report! For the purpose of working on these issues and keeping track of fixes it's really much easier if they are in separate reports. Do you mind splitting up the second issue into a different report?

@Charlie Jolly (charlie), do you mind taking a look at these issues?

EDIT: Oops, I see Charlie already has taken a look!

@Hans Goudey (HooglyBoogly) I fixed the update issue by calling ED_node_tag_update_nodetree see: P2039

The Paste Name operator is just not implemented. Doesn't work for shading nodes either. I added a condition to the poll so that it ignores drag and drop on the button.

I can commit this as a fix directly unless it's better to create a diff first.

Hans Goudey (HooglyBoogly) renamed this task from Two Bugs of Geometry Nodes' Drag and Drop Object into Object Info to Missing updates after geometry nodes drag and drop.Mar 24 2021, 1:55 PM
Hans Goudey (HooglyBoogly) updated the task description. (Show Details)
Hans Goudey (HooglyBoogly) changed the subtype of this task from "Report" to "Bug".Mar 24 2021, 2:20 PM